com.microfocus.awm.core

## Enum EChangedKind

- java.lang.Object
- - java.lang.Enum<EChangedKind>
  - - com.microfocus.awm.core.EChangedKind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EChangedKind>

      public enum EChangedKind
      extends java.lang.Enum<EChangedKind>

  Types of changes that can occur e.g. to an object of any model (e.g. a resource).
  Author:
    RalfP

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED` Constant for a newly added object.
    `CHANGED` Constant for a change that does not affect the existence or ID of an object.
    `REMOVED` Constant for a removed object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EChangedKind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EChangedKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANGED

          public static final EChangedKind CHANGED

      Constant for a change that does not affect the existence or ID of an object.

    - #### ADDED

          public static final EChangedKind ADDED

      Constant for a newly added object.

    - #### REMOVED

          public static final EChangedKind REMOVED

      Constant for a removed object.

  - ### Method Detail

    - #### values

          public static EChangedKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EChangedKind c : EChangedKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EChangedKind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2015 Micro Focus GmbH. All rights reserved.